package controller

import "go-humas-be/app/module/ppid_data_approval_histories/service"

type Controller struct {
	PpidDataApprovalHistories PpidDataApprovalHistoriesController
}

func NewController(PpidDataApprovalHistoriesService service.PpidDataApprovalHistoriesService) *Controller {
	return &Controller{
		PpidDataApprovalHistories: NewPpidDataApprovalHistoriesController(PpidDataApprovalHistoriesService),
	}
}
